/*
 * module.h - SubAloud subtitles reader (module includes)
 * Copyright (C) Bohdan R. Rau 2013 <ethanak@polip.com>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write see:
 *               <http://www.gnu.org/licenses/>.
 */


/* module initializer */
extern char *init_speaker_module(char **error);
/* returns NULL if not implemented or so */
extern char *get_phones(char *str);
extern short *get_wave(char *str,int *len,int *offset,int *freq);
extern short *get_timed_wave(char *str,int *len,int *offset,int *freq,double rate);
/* get_length returns deciseconds, 0 if unspeakable and <0 if not implemented */
extern int get_length(char *str);
extern int can_connect(int decisecs,char *line1, char *line2);

extern short *mbrola_get_wave(char *voice,char *phonemes,double pitch,double rate,int *len,int *offset,int *freq);

extern char *simplify_text(char *str);

extern int init_preproc(char **error);
extern char *preproc_string(char *str,int recode_in, int recode_out);


extern char *module_voice;
extern char mbrola_voice[256];
extern double mbrola_pitch;
extern int mbrola_pitch_set;
extern char datapath[256];
extern char *languages;
extern char *themes;
extern char *dictfile;
extern char *preproc;
extern int preproc_type;

#define PREPROC_NONE 1
#define PREPROC_STANDARD 2
#define PREPROC_PREPROC 3
#define PREPROC_EXTERNAL 4
#define PREPROC_PRIVATE 5
